> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Stablepay ID

> Resolves Stablepay ID with supported wallet issuers.



## OpenAPI

````yaml POST /id/resolve
openapi: 3.0.1
info:
  title: Stable Pay API
  description: The API for the Stable Pay Gateway
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.stablepay.ai
security:
  - bearerAuth: []
tags:
  - name: Transactions
    description: Operations related to payment transactions
  - name: Payouts
    description: Operations related to payouts
  - name: Identity
    description: Operations related to Stablepay ID management
  - name: Mpesa
    description: Operations related to Mpesa payouts
  - name: ForeignExchange
    description: Operations related to currency conversion
  - name: MoMo
    description: Operations related to Mobile Money
  - name: resolve
    description: Operations related to account resolution
  - name: validate
    description: Operations related to account validation
paths:
  /id/resolve:
    post:
      tags:
        - Identity
      summary: Resolves Stablepay ID with supported wallet issuers.
      description: Resolves Stablepay ID with supported wallet issuers.
      operationId: resolveStablepayId
      requestBody:
        description: Parameters for Stablepay ID resolution.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdRequest'
        required: true
      responses:
        '201':
          description: Resolved Stablepay ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Username already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IdRequest:
      type: object
      required:
        - username
        - issuer
        - wallet_network
      properties:
        username:
          type: string
          description: Username or wallet ID of the recipient at supported wallet issuers.
        issuer:
          type: string
          description: Issuer linked to the wallet address.
          enum:
            - Busha
            - Quidax
            - Peer
            - 80eight
        wallet_network:
          type: string
          description: >-
            Network of the recipient's stablecoin wallet linked to the Stablepay
            ID.
          enum:
            - Solana
            - Base
    IdResponse:
      type: object
      required:
        - status
        - username
        - issuer
        - wallet_address
        - currency
      properties:
        status:
          type: string
          description: Status of the Stablepay ID request.
          enum:
            - Successful
            - Unsuccessful
        username:
          type: string
          description: Username or wallet ID of the recipient at supported wallet issuers.
        wallet_network:
          type: string
          description: >-
            Network of the recipient's stablecoin wallet linked to the Stablepay
            ID.
          enum:
            - Solana
            - Base
        country:
          type: string
          description: Country name in full.
        issuer:
          type: string
          description: Wallet issuer of the recipient stablecoin address.
          enum:
            - Busha
            - Quidax
            - Peer
            - 80eight
        currency:
          type: string
          description: >-
            Wallet address can either auto convert stablecoins to fiat or
            recieve stablecoins. Supported fiat: NGN, ZAR, KES. Supported
            stablecoins: USDC, USDT
        reference:
          type: string
          description: >-
            Add a Stablepay memo when sending a Solana transaction. Memo =
            STABLEPAY-FIAT
          minLength: 11
        wallet_address:
          type: string
          description: Recipient's stablecoin wallet address linked to the Stablepay ID.
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code
        message:
          type: string
          description: Human-readable error message
        details:
          type: object
          description: Additional error details
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        API key authentication using Bearer scheme. 
         Format: Bearer {STA_xxxx}

````